Subject: [BEHAVE] DAD and draft-ietf-behave-address-format-02

From: Dayong Guo <[email-masked]>
Date: Tue, 15 Dec 2009 11:55:09 +0800

Hi, all.
    draft-ietf-behave-address-format-02  recommends a zero suffix:   " In
the other cases, the remaining bits of the addressconstitute the suffix.
These bits are reserved for future extensions, and SHOULD be set to a zero.
"
    But RFC 4862 requires "DAD MUST be performed on all unicast addresses".
Because solicited-node multicast address is used in NS message of DAD,
hosts are seldom affected by DAD.
    So if there are many 0-suffix addresses in a subnet, solicited-node
multicast address will  be useless and too many DADs disturb hosts.
    
    Could DAD NOT be performed on the IPv4 Embedded IPv6 Address?  IPv4 can
play the same role of IPv6 DAD.

Guo Dayong